Bug 194531 - Move UIWebTouchEventsGestureRecognizer.activeTouchesByIdentifier to SPI
Summary: Move UIWebTouchEventsGestureRecognizer.activeTouchesByIdentifier to SPI
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-02-12 01:25 PST by Antoine Quint
Modified: 2019-02-21 13:43 PST (History)
10 users (show)

See Also:


Attachments
Patch (2.81 KB, patch)
2019-02-12 01:27 PST, Antoine Quint
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews124 for ios-simulator-wk2 (1.08 MB, application/zip)
2019-02-12 03:04 PST, Build Bot
no flags Details
Patch (3.25 KB, patch)
2019-02-21 12:51 PST, Antoine Quint
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2019-02-12 01:25:48 PST
Move UIWebTouchEventsGestureRecognizer.activeTouchesByIdentifier to SPI
Comment 1 Antoine Quint 2019-02-12 01:26:40 PST
<rdar://problem/47714562>
Comment 2 Antoine Quint 2019-02-12 01:27:02 PST
Created attachment 361784 [details]
Patch
Comment 3 Antoine Quint 2019-02-12 01:27:08 PST
<rdar://problem/47714562>
Comment 4 Build Bot 2019-02-12 03:04:32 PST
Comment on attachment 361784 [details]
Patch

Attachment 361784 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11120170

Number of test failures exceeded the failure limit.
Comment 5 Build Bot 2019-02-12 03:04:34 PST
Created attachment 361787 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 6 Dean Jackson 2019-02-12 09:23:14 PST
Comment on attachment 361784 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=361784&action=review

> Source/WebKit/UIProcess/ios/WKContentViewInteraction.mm:-1153
> -    // FIXME: <rdar://problem/47714562>
> -    if (![_touchEventGestureRecognizer respondsToSelector:@selector(activeTouchesByIdentifier)])
> -        return;
> -

I think you still need this for Open Source compiles.
Comment 7 Antoine Quint 2019-02-13 05:47:06 PST
Committed r241433: <https://trac.webkit.org/changeset/241433>
Comment 8 Truitt Savell 2019-02-13 08:55:10 PST
Reverted r241433 for reason:

Broke internal builds.

Committed r241435: <https://trac.webkit.org/changeset/241435>
Comment 9 Antoine Quint 2019-02-21 05:56:04 PST
Committed r241865: <https://trac.webkit.org/changeset/241865>
Comment 10 Antoine Quint 2019-02-21 12:51:31 PST
Reopening to attach new patch.
Comment 11 Antoine Quint 2019-02-21 12:51:33 PST
Created attachment 362631 [details]
Patch
Comment 12 Tim Horton 2019-02-21 12:56:51 PST
Comment on attachment 362631 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=362631&action=review

> Source/WTF/wtf/Platform.h:1516
> +#if PLATFORM(IOS_FAMILY) && __IPHONE_OS_VERSION_MIN_REQUIRED >= 130000

What about watchOS
Comment 13 Antoine Quint 2019-02-21 13:06:09 PST
(In reply to Tim Horton from comment #12)
> Comment on attachment 362631 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=362631&action=review
> 
> > Source/WTF/wtf/Platform.h:1516
> > +#if PLATFORM(IOS_FAMILY) && __IPHONE_OS_VERSION_MIN_REQUIRED >= 130000
> 
> What about watchOS

ENABLE_POINTER_EVENTS is currently not defined for watchOS
Comment 14 Tim Horton 2019-02-21 13:10:45 PST
(In reply to Antoine Quint from comment #13)
> (In reply to Tim Horton from comment #12)
> > Comment on attachment 362631 [details]
> > Patch
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=362631&action=review
> > 
> > > Source/WTF/wtf/Platform.h:1516
> > > +#if PLATFORM(IOS_FAMILY) && __IPHONE_OS_VERSION_MIN_REQUIRED >= 130000
> > 
> > What about watchOS
> 
> ENABLE_POINTER_EVENTS is currently not defined for watchOS
Comment 15 WebKit Commit Bot 2019-02-21 13:43:49 PST
Comment on attachment 362631 [details]
Patch

Clearing flags on attachment: 362631

Committed r241900: <https://trac.webkit.org/changeset/241900>
Comment 16 WebKit Commit Bot 2019-02-21 13:43:50 PST
All reviewed patches have been landed.  Closing bug.